<?PHP
/*
Plugin Name: Open in New Window Plugin
Plugin URI: http://www.BlogsEye.com/
Description: Opens external links in a new window, keeping your blog page in the browser so you don't lose surfers to another site.
Version: 2.0
Author: Keith P. Graham
Author URI: http://www.BlogsEye.com/

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*/


/************************************************************
* 	kpg_open_in_new_window_fixup()
*	Shows the javascript in the footer so that the links can be adjusted
*
*************************************************************/
function kpg_open_in_new_window_fixup() {
	// this is the open in new window functionality.
	// this is hooked in several places. Remove the hooks the first time anyone gets here
	remove_action( 'wp_footer', 'kpg_open_in_new_window_fixup' );
	remove_action( 'admin_footer', 'kpg_open_in_new_window_fixup' );
	remove_action( 'get_footer', 'kpg_open_in_new_window_fixup' );
	$dir = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__));
	$js = addslashes($dir.'open_in_new_window.js');

	
?>
<!-- added by open in new window plugin -->
<script language="javascript" type="text/javascript" src="<?php echo $js; ?>"></script>
<!-- end of open in new window plugin -->

<?php
}
function kpg_open_in_new_window_control()  {
?>

<div class="wrap">
<h2>Open in new window Plugin</h2>
<h4>The Open in new window Plugin is installed and working correctly.</h4><div style="position:relative;float:right;width:35%;background-color:ivory;border:#333333 medium groove;padding:4px;margin-left:4px;">
    <p>This plugin is free and I expect nothing in return. If you would like to support my programming, you can buy my book of short stories.</p>
    <p>Some plugin authors ask for a donation. I ask you to spend a very small amount for something that you will enjoy. eBook versions for the Kindle and other book readers start at 99&cent;. The book is much better than you might think, and it has some very good science fiction writers saying some very nice things. <br/>
      <a target="_blank" href="http://www.amazon.com/gp/product/1456336584?ie=UTF8&tag=thenewjt30page&linkCode=as2&camp=1789&creative=390957&creativeASIN=1456336584">Error Message Eyes: A Programmer's Guide to the Digital Soul</a></p>
    <p>A link on your blog to one of my personal sites would also be appreciated.</p>
    <p><a target="_blank" href="http://www.WestNyackHoney.com">West Nyack Honey</a> (I keep bees and sell the honey)<br />
      <a target="_blank" href="http://www.cthreepo.com/blog">Wandering Blog</a> (My personal Blog) <br />
      <a target="_blank" href="http://www.cthreepo.com">Resources for Science Fiction</a> (Writing Science Fiction) <br />
      <a target="_blank" href="http://www.jt30.com">The JT30 Page</a> (Amplified Blues Harmonica) <br />
      <a target="_blank" href="http://www.harpamps.com">Harp Amps</a> (Vacuum Tube Amplifiers for Blues) <br />
      <a target="_blank" href="http://www.blogseye.com">Blog&apos;s Eye</a> (PHP coding) <br />
      <a target="_blank" href="http://www.cthreepo.com/bees">Bee Progress Beekeeping Blog</a> (My adventures as a new beekeeper) </p>
  </div>

<p>This plugin installs some javascript in the footer of every page. When your page finishes loading, the javascript steps through the links on the page looking for links that lead to other domains. It alters these links so that they will open in a new window.</p>
<p>The javascript does not look in any embedded iframes, so it will not work with some ads and affiliate links. It will also not work where other javascript is executed through an onclick event or the link begins with javascript:</p>
<p>There are no configurations options. The plugin is on when it is installed and enabled. To turn it off just disable the plugin from the plugin menu.. </p>
<p>Since the javascript does not run until the web page is completely loaded, links on a page that is slow to load will not open in a new window until the page is fully loaded.</p>

</div>

<?php
}
// no unistall because I have not created any meta data to delete.
function kpg_open_in_new_window_init() {
   add_options_page('Open in new window', 'Open in new window', 'manage_options',__FILE__,'kpg_open_in_new_window_control');
}
  // Plugin added to Wordpress plugin architecture
	add_action('admin_menu', 'kpg_open_in_new_window_init');	
	add_action( 'wp_footer', 'kpg_open_in_new_window_fixup' );
	add_action( 'admin_footer', 'kpg_open_in_new_window_fixup' );
	add_action( 'get_footer', 'kpg_open_in_new_window_fixup' );

 	
?>